curl --request GET \
--url https://api.coingecko.com/api/v3/rwas/{id} \
--header 'x-cg-demo-api-key: <api-key>'{
"id": "gold",
"symbol": "xau",
"name": "Gold",
"asset_type": "commodity",
"image": {
"thumb": "https://coin-images.coingecko.com/coins/images/10481/thumb/logo.png?1774627372",
"small": "https://coin-images.coingecko.com/coins/images/10481/small/logo.png?1774627372",
"large": "https://coin-images.coingecko.com/coins/images/10481/large/logo.png?1774627372"
},
"web_slug": "gold",
"tokens": [
{
"id": "tether-gold",
"symbol": "xaut",
"name": "Tether Gold",
"platforms": {
"ethereum": "0x68749665ff8d2d112fa859aa293f07a622782f38"
},
"issuer_details": {
"id": "tether-ecosystem",
"name": "Tether"
},
"perps_market_data": {
"volume_24h": 1954758829.5191464,
"open_interest_24h": 1336589057.9573011
}
},
{
"id": "pax-gold",
"symbol": "paxg",
"name": "PAX Gold",
"platforms": {
"ethereum": "0x45804880de22913dafe09f4980848ece6ecbaf78"
},
"issuer_details": {
"id": "paxos-ecosystem",
"name": "Paxos Global"
},
"perps_market_data": {
"volume_24h": 444834538.1260172,
"open_interest_24h": 563850051.3234763
}
}
],
"tokenized_market_data": {
"current_price": 4325.388412841455,
"market_cap": 5226930984.54683,
"total_volume": 370143676.04940695,
"high_24h": 4337.636910965984,
"low_24h": 4265.225091868207,
"price_change_24h": 31.508789145972514,
"price_change_percentage_24h": 0.73381,
"market_cap_change_24h": 42665678.302101135,
"market_cap_change_percentage_24h": 0.82298,
"last_updated": "2026-09-16T06:49:00Z",
"sparkline_in_7d": {
"price": [
4398.794934375798,
4399.814826523387,
4407.595134436859
]
},
"price_change_percentage_1h_in_currency": -0.07102,
"price_change_percentage_24h_in_currency": 0.73381,
"price_change_percentage_7d_in_currency": -1.65248,
"price_change_percentage_14d_in_currency": 0.03663,
"price_change_percentage_30d_in_currency": -1.19872,
"price_change_percentage_200d_in_currency": -17.96545,
"price_change_percentage_1y_in_currency": 11.51039
},
"perps_market_data": {
"volume_24h": 7416589039.8701,
"open_interest_24h": 4536346045.728076
},
"last_updated": "2026-09-16T06:49:00Z"
}RWA Data by ID
To query all the metadata, market data and tokens of a RWA based on a particular RWA ID
curl --request GET \
--url https://api.coingecko.com/api/v3/rwas/{id} \
--header 'x-cg-demo-api-key: <api-key>'{
"id": "gold",
"symbol": "xau",
"name": "Gold",
"asset_type": "commodity",
"image": {
"thumb": "https://coin-images.coingecko.com/coins/images/10481/thumb/logo.png?1774627372",
"small": "https://coin-images.coingecko.com/coins/images/10481/small/logo.png?1774627372",
"large": "https://coin-images.coingecko.com/coins/images/10481/large/logo.png?1774627372"
},
"web_slug": "gold",
"tokens": [
{
"id": "tether-gold",
"symbol": "xaut",
"name": "Tether Gold",
"platforms": {
"ethereum": "0x68749665ff8d2d112fa859aa293f07a622782f38"
},
"issuer_details": {
"id": "tether-ecosystem",
"name": "Tether"
},
"perps_market_data": {
"volume_24h": 1954758829.5191464,
"open_interest_24h": 1336589057.9573011
}
},
{
"id": "pax-gold",
"symbol": "paxg",
"name": "PAX Gold",
"platforms": {
"ethereum": "0x45804880de22913dafe09f4980848ece6ecbaf78"
},
"issuer_details": {
"id": "paxos-ecosystem",
"name": "Paxos Global"
},
"perps_market_data": {
"volume_24h": 444834538.1260172,
"open_interest_24h": 563850051.3234763
}
}
],
"tokenized_market_data": {
"current_price": 4325.388412841455,
"market_cap": 5226930984.54683,
"total_volume": 370143676.04940695,
"high_24h": 4337.636910965984,
"low_24h": 4265.225091868207,
"price_change_24h": 31.508789145972514,
"price_change_percentage_24h": 0.73381,
"market_cap_change_24h": 42665678.302101135,
"market_cap_change_percentage_24h": 0.82298,
"last_updated": "2026-09-16T06:49:00Z",
"sparkline_in_7d": {
"price": [
4398.794934375798,
4399.814826523387,
4407.595134436859
]
},
"price_change_percentage_1h_in_currency": -0.07102,
"price_change_percentage_24h_in_currency": 0.73381,
"price_change_percentage_7d_in_currency": -1.65248,
"price_change_percentage_14d_in_currency": 0.03663,
"price_change_percentage_30d_in_currency": -1.19872,
"price_change_percentage_200d_in_currency": -17.96545,
"price_change_percentage_1y_in_currency": 11.51039
},
"perps_market_data": {
"volume_24h": 7416589039.8701,
"open_interest_24h": 4536346045.728076
},
"last_updated": "2026-09-16T06:49:00Z"
}Notes
- Find an RWA’s API ID via RWA List.
- Returns metadata only by default — set
tokens,tokenized_market_dataandperps_market_datatotrueto include those objects. perps_market_datareturns both the RWA-level aggregate and, whentokensis alsotrue, the per-token breakdown.- Each
tokens.idis also a coin ID. Use it with Coin Data by ID to query the individual token.
tokenized_market_data reflects the aggregated onchain tokenized market, not the underlying asset’s spot market. All values are in USD.Authorizations
Learn how to set up your API key
Path Parameters
RWA ID.
*refers to /rwas/list
Query Parameters
Include sparkline 7-day data. Default: false
Include tokens data. Default: false
Include tokenized market data. Default: false
Include perpetuals market data. Default: false
Response
RWA data
RWA ID
RWA symbol
RWA name
RWA asset type
stock, commodity, etf RWA web slug
Last updated timestamp
Tokens tracking this RWA
Hide child attributes
Hide child attributes
Token ID
Token symbol
Token name
Aggregated tokenized market data
Hide child attributes
Hide child attributes
Current price in target currency
Market cap in target currency
Total trading volume in target currency
24-hour price high in target currency
24-hour price low in target currency
24-hour price change in target currency
24-hour price change percentage
24-hour market cap change in target currency
24-hour market cap change percentage
Last updated timestamp
1-hour price change percentage in target currency
24-hour price change percentage in target currency
7-day price change percentage in target currency
14-day price change percentage in target currency
30-day price change percentage in target currency
200-day price change percentage in target currency
1-year price change percentage in target currency
Was this page helpful?

